## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceFinishQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a certain sequence finishes. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcquest property class on which this trigger will fire.
virtual void | SetSequenceParameter (const char *sequence)=0
| Set the name of the sequence.

## Detailed Description

This interface is implemented by the trigger that fires when a certain sequence finishes.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.sequencefinish'.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the entity that contains the pcquest property class.
- entity_tag: optional tag used to find the right property class from the entity.
- sequence: the name of the sequence on which to listen.

Definition at line 1093 of file questmanager.h.

## Member Function Documentation

virtual void iSequenceFinishQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the entity containing the pcquest property class on which this trigger will fire.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iSequenceFinishQuestTriggerFactory::SetSequenceParameter | ( | const char * | sequence | ) | `[pure virtual]`

Set the name of the sequence.

Parameters:

  | sequence | is the name of the sequence or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h